Merge branch 'master' into moderation
[rails.git] / Gemfile
diff --git a/Gemfile b/Gemfile
index 85f1a87..a9a6cb4 100644 (file)
--- a/Gemfile
+++ b/Gemfile
@@ -1,7 +1,7 @@
 source "https://rubygems.org"
 
 # Require rails
-gem "rails", "4.2.8"
+gem "rails", "5.1.5"
 
 # Require things which have moved to gems in ruby 1.9
 gem "bigdecimal", "~> 1.1.0", :platforms => :ruby_19
@@ -13,7 +13,7 @@ gem "psych", :platforms => :ruby_20
 gem "json"
 
 # Use postgres as the database
-gem "pg"
+gem "pg", "~> 0.18"
 
 # Use SCSS for stylesheets
 gem "sass-rails", "~> 5.0"
@@ -22,7 +22,7 @@ gem "sass-rails", "~> 5.0"
 gem "uglifier", ">= 1.3.0"
 
 # Use CoffeeScript for .js.coffee assets and views
-gem "coffee-rails", "~> 4.1.0"
+gem "coffee-rails", "~> 4.2"
 
 # Use jquery as the JavaScript library
 gem "jquery-rails"
@@ -32,7 +32,7 @@ gem "jquery-rails"
 gem "jsonify-rails"
 
 # Use R2 for RTL conversion
-gem "r2"
+gem "r2", "~> 0.2.7"
 
 # Use autoprefixer to generate CSS prefixes
 gem "autoprefixer-rails"
@@ -42,15 +42,16 @@ gem "image_optim_rails"
 
 # Load rails plugins
 gem "actionpack-page_caching"
-gem "composite_primary_keys", "~> 8.1.0"
-gem "deadlock_retry", ">= 1.2.0"
+gem "composite_primary_keys", "~> 10.0.0"
 gem "dynamic_form"
 gem "http_accept_language", "~> 2.0.0"
-gem "i18n-js", ">= 3.0.0.rc10"
+gem "i18n-js", ">= 3.0.0"
 gem "oauth-plugin", ">= 0.5.1"
-gem "paperclip", "~> 4.0"
+gem "openstreetmap-deadlock_retry", ">= 1.3.0", :require => "deadlock_retry"
+gem "paperclip", "~> 5.2"
 gem "rack-cors"
 gem "rails-i18n", "~> 4.0.0"
+gem "record_tag_helper"
 gem "rinku", ">= 1.2.2", :require => "rails_rinku"
 gem "validates_email_format_of", ">= 1.5.1"
 
@@ -69,6 +70,9 @@ gem "omniauth-windowslive"
 # Markdown formatting support
 gem "redcarpet"
 
+# For status transitions of Issues
+gem "aasm"
+
 # Load libxml support for XML parsing and generation
 gem "libxml-ruby", ">= 2.0.5", :require => "libxml"
 
@@ -92,27 +96,36 @@ gem "rotp"
 gem "dalli"
 gem "kgio"
 
+# Load secure_headers for Content-Security-Policy support
+gem "secure_headers"
+
+# Load canonical-rails to generate canonical URLs
+gem "canonical-rails"
+
 # Used to generate logstash friendly log files
 gem "logstasher"
 
 # Gems useful for development
 group :development do
+  gem "annotate"
+  gem "listen"
   gem "vendorer"
 end
 
 # Gems needed for running tests
 group :test do
   gem "minitest", "~> 5.1", :platforms => [:ruby_19, :ruby_20]
+  gem "rails-controller-testing"
   gem "rubocop"
-  gem "timecop"
   gem "webmock"
 end
 
 # Needed in development as well so rake can see konacha tasks
 group :development, :test do
+  gem "capybara", "~> 2.13"
   gem "coveralls", :require => false
-  gem "factory_girl_rails"
+  gem "factory_bot_rails"
   gem "jshint"
-  gem "konacha"
   gem "poltergeist"
+  gem "puma", "~> 3.7"
 end